Subject: bug#12490: 24.2; Search inside Minibuffer don't work with M-x (M-x C-s)

From: Juri Linkov <[email-masked]>
Date: Tue, 03 Dec 2019 00:51:30 +0200

>> BTW, do we have a mechanism for sorting by command frequency?
>
> One possibility is to use the minibuffer history to sort by the number
> of occurrences of each history element, but this method doesn't work
> when history-delete-duplicates is customized to non-nil, so there are
> no duplicates in the history.
>
> Although I noticed that icomplete.el often proposes the most
> relevant elements first, but I never investigated how it does this,
> maybe by frequency?

Another place worth looking at https://github.com/nonsequitur/smex
It seems using ido to sort commands by frequency?